العودة للمرجع
GET/wallet-settlements
Settlements

قائمة التسويات

يعرض التسويات مع مرشحات المحفظة والحالة والنشاط.

مستوى الوصولbusiness_financeالحد60/minمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/app/Http/Controllers/Api/SettlementApiController.php::indexLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
wallet_idquery
integerاختياري

statusquery
stringاختياري

business_idquery
integerاختياري

per_pagequery
integerاختياري

Page size.

Example: 20
pagequery
integerاختياري

Page number.

Example: 1

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/wallet-settlements' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

الاستجابات

200Successful response.
status
boolean
Example: true
data
any
{
  "status": true,
  "data": {
    "data": [
      {
        "id": 1,
        "uuid": "00000000-0000-4000-8000-000000000001",
        "wallet_id": 1,
        "period_type": "daily",
        "period_start": "2026-07-16",
        "period_end": "2026-07-16",
        "status": "pending",
        "idempotency_key": "string",
        "notes": null,
        "items": [
          null
        ],
        "created_at": "2026-07-16T12:00:00Z"
      }
    ],
    "current_page": 1,
    "last_page": 4,
    "per_page": 20,
    "total": 73,
    "from": 1,
    "to": 1
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection